Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0045967
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[New POS] Coremajorhave not tried2021-03-01 09:372021-04-16 14:54
ReporterdbazView Statuspublic 
Assigned Tojarmendariz 
PrioritynormalResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0045967: Screen keypad component behavior is not correct, specially using physical keyboard

Description- It is not possible to write in a specific position using a physical keyboard
- Using screen keypad the whole content of the input is overwritten
- Keypad input should have the focus and content selected when it is opened
- ... etc
Steps To ReproduceIn this Video, DBA explains all the problems

https://www.youtube.com/watch?v=NqGw2UVLBbY&feature=youtu.be [^]
Proposed SolutionPOC in fiddle
https://jsfiddle.net/a5qdtnfr/7/ [^]
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0126509)
mtaal (manager)
2021-03-04 22:28

Description:
https://docs.google.com/document/d/1GWaxZDy9C7y6m1RZPQVLUznIjLH629mxmzhDGsXHX9o/edit# [^]
(0126781)
guilleaer (manager)
2021-03-18 17:05

Take into account this MRs

https://gitlab.com/openbravo/product/pmods/org.openbravo.core2/-/merge_requests/372/diffs [^]
https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2/-/merge_requests/308/diffs [^]
(0126921)
hgbot (developer)
2021-03-25 14:37

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.core2/-/merge_requests/419 [^]
(0127131)
hgbot (developer)
2021-04-07 13:25

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2/-/merge_requests/360 [^]
(0127328)
hgbot (developer)
2021-04-16 14:53

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2 [^]
Changeset: e7dc4b016eb86a640b7383db9f172001ccfb363f
Author: Javier Armendáriz <javier.armendariz@openbravo.com>
Date: 2021-04-16T14:53:28+02:00
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2/-/commit/e7dc4b016eb86a640b7383db9f172001ccfb363f [^]

Related to ISSUE-45967: Improved UX behavior of numeric keypad

MR: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2/-/merge_requests/360 [^]

---
A web-jspack/org.openbravo.pos2/src/assets/icons/tab.svg
M src-db/database/sourcedata/AD_MESSAGE.xml
M web-jspack/org.openbravo.pos2/src/assets/style/iconography.css
M web-jspack/org.openbravo.pos2/src/components/Cashup/CashupSplitInputs/CashupSplitInputs.css
M web-jspack/org.openbravo.pos2/src/components/Cashup/CashupSplitInputs/CashupSplitInputs.jsx
M web-jspack/org.openbravo.pos2/src/components/Cashup/CashupSteps/CountDisplay/CountDisplay.css
M web-jspack/org.openbravo.pos2/src/components/Cashup/CashupSteps/CountDisplay/CountDisplay.jsx
M web-jspack/org.openbravo.pos2/src/components/Cashup/CashupSteps/CountDisplay/CountDisplayGridColumns.jsx
M web-jspack/org.openbravo.pos2/src/components/Cashup/CashupSteps/CountDisplay/__test__/CountDisplay.test.jsx
M web-jspack/org.openbravo.pos2/src/components/Cashup/CashupSteps/SelectCashToKeepStep/SelectCashToKeepStep.css
M web-jspack/org.openbravo.pos2/src/components/Cashup/CashupSteps/SelectCashToKeepStep/SelectCashToKeepStep.jsx
M web-jspack/org.openbravo.pos2/src/components/Cashup/CountingToolDialog/CountingTool/AddRowPopover/AddRowPopover.jsx
M web-jspack/org.openbravo.pos2/src/components/Cashup/CountingToolDialog/CountingTool/CountingTool.jsx
M web-jspack/org.openbravo.pos2/src/components/Cashup/CountingToolDialog/CountingToolDialog.css
M web-jspack/org.openbravo.pos2/src/components/Cashup/CountingToolDialog/CountingToolDialog.jsx
M web-jspack/org.openbravo.pos2/src/components/Cashup/CountingToolDialog/__test__/CountingToolDialog.test.jsx
M web-jspack/org.openbravo.pos2/src/components/Payments/PaymentKeypad/PaymentKeypad.jsx
M web-jspack/org.openbravo.pos2/src/components/Payments/PaymentPanel/PaymentPanel.jsx
---
(0127329)
hgbot (developer)
2021-04-16 14:53

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2/-/merge_requests/360 [^]
(0127330)
hgbot (developer)
2021-04-16 14:54

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.core2 [^]
Changeset: 73024aec067e80d01eebc770c02c4f7c37dc890d
Author: Javier Armendáriz <javier.armendariz@openbravo.com>
Date: 2021-04-16T14:52:06+02:00
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.core2/-/commit/73024aec067e80d01eebc770c02c4f7c37dc890d [^]

Fixed ISSUE-45967: Improved UX behavior of numeric keypad

MR: https://gitlab.com/openbravo/product/pmods/org.openbravo.core2/-/merge_requests/419 [^]

---
A web-jspack/org.openbravo.core2/src/hooks/useEditNumber/__test__/useEditNumberWithInput.test.jsx
A web-jspack/org.openbravo.core2/src/hooks/useEditNumber/__test__/useEditNumberWithMultipleInput.test.jsx
M web-jspack/org.openbravo.core2/src/components/BaseFormInput/BaseFormInput.css
M web-jspack/org.openbravo.core2/src/components/BaseKeypad/BaseKeypad.css
M web-jspack/org.openbravo.core2/src/components/BaseKeypad/BaseKeypad.jsx
M web-jspack/org.openbravo.core2/src/components/BaseKeypad/__test__/BaseKeypad.test.jsx
M web-jspack/org.openbravo.core2/src/components/BaseKeypad/stories/BaseKeypad.stories.jsx
M web-jspack/org.openbravo.core2/src/components/ComposedKeypad/ComposedKeypad.jsx
M web-jspack/org.openbravo.core2/src/components/Grid/DataGrid/BaseRowRender.jsx
M web-jspack/org.openbravo.core2/src/components/Grid/DataGrid/DataGrid.jsx
M web-jspack/org.openbravo.core2/src/components/Grid/render/EditCell.jsx
M web-jspack/org.openbravo.core2/src/components/Grid/stories/GridSampleData.js
M web-jspack/org.openbravo.core2/src/components/Grid/stories/GridSelection.stories.jsx
M web-jspack/org.openbravo.core2/src/hooks/useEditNumber/__test__/useEditNumber.test.jsx
M web-jspack/org.openbravo.core2/src/hooks/useEditNumber/useEditNumber.js
---
(0127331)
hgbot (developer)
2021-04-16 14:54

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.core2/-/merge_requests/419 [^]

- Issue History
Date Modified Username Field Change
2021-03-01 09:37 guilleaer New Issue
2021-03-01 09:37 guilleaer Assigned To => Retail
2021-03-01 09:37 guilleaer Triggers an Emergency Pack => No
2021-03-01 09:39 guilleaer Reporter guilleaer => dbaz
2021-03-04 19:11 guilleaer Assigned To Retail => mtaal
2021-03-04 22:28 mtaal Note Added: 0126509
2021-03-18 17:05 guilleaer Status new => scheduled
2021-03-18 17:05 guilleaer Note Added: 0126781
2021-03-18 17:05 guilleaer Assigned To mtaal => jarmendariz
2021-03-25 14:37 hgbot Note Added: 0126921
2021-04-07 13:25 hgbot Note Added: 0127131
2021-04-16 14:53 hgbot Note Added: 0127328
2021-04-16 14:53 hgbot Note Added: 0127329
2021-04-16 14:54 hgbot Resolution open => fixed
2021-04-16 14:54 hgbot Status scheduled => closed
2021-04-16 14:54 hgbot Note Added: 0127330
2021-04-16 14:54 hgbot Note Added: 0127331


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker